---
title: Photography
date: 2023-01-23
---

Downstairs, in our basement,
we have boxes and boxes of old photographs that we inherited.
We're not sure what's in the boxes:
we only have this vague notion that they're valuable,
because somebody spent time and money on them.

This is a really lousy situation for us to be in.
What are we supposed to do with these?
Could they be useful someday to our grandchildren?
Is this just the output of somebody's hobby,
with little to no value to anyone else?
How many generations must hang on to these before it's okay to discard them?

## Hobby photography over the years

My grandparents would get one photograph taken of the whole family,
maybe every 10-20 years,
if you were lucky enough to have a traveling photographer drop by your house.
So you cherished that photograph,
and you thought about your great-grandchildren seeing this marvel of modern technology.
Most of the photos we have from this era
have hand-written notes recording the year,
the location,
the people involved,
and maybe some additional context like 
"this house was built by Peter and his father in 1885".

By the time my parents had disposable income,
you could get a camera for a reasonable amount of money.
The film cost money,
and getting prints developed cost money,
so they made sure everybody was lined up,
facing the camera,
and smiling,
before pressing the shutter button.
But because you could pop off 26 shots at a time,
and because the film would actually degrade if you didn't develop it quickly,
they took a lot more pictures.
They probably didn't have time to label all of them,
and anyway, that was just some dumb thing their parents did.

My generation saw digital cameras pop up
right around the time we were shopping for more expensive cameras.
You could see the photo you took immediately,
so people would take another shot when they saw that somebody had their eyes closed.
We started taking more candid snapshots,
and we didn't sweat it when we accidentally photographed a shoe or something.
We had to stop thinking of one photo as being a sort of investment:
you could take 20 photos and then just pick the best one,
and there was no difference in cost.
Then, we stopped picking the best one,
because we were busy.

## The problem with digital

These boxes of prints downstairs have outlasted every hard drive I've ever owned.
And as someone whose job is reverse-engineering undocumented file formats,
I am not holding my breath that in 500 years anyone will know what to do with a JPEG,
much less a JPEG on a FAT32 file system on a SATA hard drive.
In fact I am pretty confident that the time we're living in
will come to be seen as a dark age,
about which little is known,
because people stopped writing things in places that were easy to preserve.

We currently have 44,708 digital photos and videos: about 419 Gigabytes.
With a few exceptions of things I've scanned in from prints,
the oldest photos we have are from October 2000.
That's around 2000 photos every year,
once we had a baby and we really got going photographing every damn thing.

There's a multi-year gap before that,
and there are holes after October 2000,
because I accidentally deleted the wrong directory.
Photos I took before around 1998 are downstairs in one of those boxes of prints.
*I already have a dark age from losing digital records!*

## Getting this under control

Someday,
hopefully soon,
we're going to go through all 44,708 photos,
and file them away into a few categories:

1. Photos we're going to make physical copies of,
   and place in an album,
   with some sort of annotation about why it's significant.
2. Photos/Videos we're going to group together,
   along with some sort of annotation about why that group is significant.
   This might be a photo album,
   or maybe just a directory or box.
3. Photos/Videos we're going not going to do anything special to,
   with a note that these are "just in case",
   without any special meaning,
   and our progeny can feel okay throwing them out.
4. Photos/Videos we don't want to keep at all.

We're then going to have to sort through these hundreds of prints,
trying to decide
on behalf of our ancestors
why the photo was taken.
We'll have to file each one in the same categories.

At the end of this,
we'll have actual photo books,
with written text explaining what's significant.
I hope this leaves future generations with a better situation
than the context-free boxes of prints that we inherited!

## Why I'm doing this

I love this old silver-gelatin print
of my grandfather's entire family.
They're all gathered in front of their 900 square-foot house,
with my grandfather showing off the family's new bicycle.
Also in the photo are the family dog,
and their cow.

My hope is that
people in the future can pick up one of my albums,
spend a few minutes going through it,
and get a feel for what we looked like and how we lived.
They'll be encouraged to actually do that,
because of the *limited amount* of stuff,
the *easy interface* to viewing it (namely: posess eyes),
and the *context* I will have provided.

As a result of thinking about this for so long,
I've noticed I stopped taking so many pictures.
A lot of the pictures I do take are sent immediately and not stored:
my great-grandchildren don't really need to see this burrito,
or our dog on the table.
Maybe eventually I'll get back to storing only a few dozen photos per year,
and the future albums will be very quick to put together.
