---
title: How I Get from Los Alamos to Richland
date: 2023-10-21
tags:
  - trains
---

Before I begin my trip,
I pack up enough food for four days.
It's only a 3-day trip if the trains are all on time,
but sometimes there are big delays,
so I prepare for that.

So far this means 6 tasty bite Indian food pouches,
6 apples,
a box of crackers,
a chocolate bar,
two oat bars that I never eat,
six hard boiled eggs,
four single-serve guacamole cups,
and six single-serve hummus cups.

The eggs, guacamole, and hummus go in a little insulated lunch pail,
along with an uninsulated canteen full of ice.
{{<figure src="PXL_20231020_170034557.MP.jpg" alt="An insulated lunchbox with 6 eggs, an uninsulated canteen full of ice, and some single-serve packets of hummus and guacamole">}}


Los Alamos to Lamy
-----------------

There are a few ways I could get from home in Los Alamos to the Lamy train station.
There's a nearly-direct shuttle for $80. 
I could take a series of two busses for maybe $60 and around 2 hours:
I haven't looked into this one too closely because 2 hours is a lot.
Or I can drive or have someone else drive me for 40 minutes.
So for I always drive.

If I take the Nissan LEAF, I have to charge it in Santa Fe before I get to Lamy,
so that I have enough of a charge to make it back to Santa Fe when I return.


Lamy to Los Angeles
---------------------

Amtrak route 4, the Southwest Chief, goes from Chicago to Los Angeles, through Lamy.
It arrives around 13:40 when it's on time, but it's frequently 30-40 minutes late.
There's a little brewpub in the train station that opens at 14:00,
so I'll typically buy a beer and chat with the owner if the train is late.
{{<figure src="PXL_20231020_200515621.MP.jpg" alt="A glass of beer on a wooden bartop">}}

About an hour after I board, the train stops in Albuquerque for a 40-minute service inspection.
I could use that time to walk to a nearby grocery store and pick up food,
but so for I've always brought my own food in a little cloth bag.
I like bringing Tasty-Bites: Indian food in plastic pouches.
They're okay cold, and they don't need to be refrigerated.

The sun sets around the time we get to Gallup.
I'll eat my dinner of a tasty-bite, maybe some crackers,
and an apple.
The bathrooms are downstairs in the car,
where I can brush my teeth and floss.

The seats in coach are much larger than first class seats on an airplane,
and recline about 45°.
{{<figure src="PXL_20231021_151322061.MP.jpg" alt="A Superliner coach seat, fully reclined, which is about 45° down" >}}
{{<figure src="PXL_20231021_151530454.MP.jpg" alt="A man sitting in a coach seat, with about 4 feet of space from his knees to the back of the chair in front of him">}}

I put a pillow under my shoulders and neck,
cover up with a fleece blanket,
put in some tiny noise-generating earbuds made just for sleep,
and try to get some sleep.

I wake up typically when we're in California,
having slept through all of Arizona.
I'll put some instant coffee in my steel mug and take it to the lounge car,
where they'll give me free hot water and ice.
Then I take my coffee back to my seat,
eat two hard-boiled eggs from my cold lunchbox,
and replace the melted ice in my uninsulated lunchbox canteen.
Downstairs to the bathroom to brush my teeth, wash up a bit, and change shirts.

I arrive in Los Angeles around 08:00.
The first thing I do is get my boarding pass for the next leg:
I like to do this as soon as possible so I can (hopefully) get a window seat.
I sleep better when I can rest my legs against the side of the car,
and I don't have to get up all the time to let somebody else out if I'm on the outside of the row.
Then I'll buy lunch for later.
If the next train is late, I get to eat it in a nice little outdoor courtyard at Los Angeles Union Station.

{{<figure src="PXL_20230930_161409234.MP.jpg" alt="The inside of Los Angeles Union station, with vaulted roof, chandeliers, and some art deco paint on the ceiling">}}


Los Angeles to Portland
------------------------

The Coast Starlight train leaves at 09:50, but is sometimes late.
Starting at Santa Barbara,
on the fireman's side of the train,
you are right next to the ocean,
which can be pretty.
{{<figure src="PXL_20231021_214043091.MP.jpg" alt="The view of the Pacific Ocean from the Coast Starlight, north of Santa Barbara">}}

I don't even know where I am when I have supper,
I think it's before the bay area.

When I wake up, I'm in Northern California, right near Mount Shasta.
I think.
{{<figure src="PXL_20231022_141420597.MP.jpg" alt="Mount Shasta just after sunrise.">}}

Around lunchtime, 
the train goes up into some mountains,
and the Engineer's side is the one you want to be on to look out over the valleys.

{{<figure src="PXL_20231001_171312049.MP.jpg" alt="A view, from above, of fog settling into the valley of the Oregon forest">}}

On all these legs,
I try to put in 8 hours of work on weekdays,
and then there's a lot of movies, reading,
and just looking out the window.
It's a very different experience than travel by airplane:
you have no choice but to chill out and slow down.

I arrive in Portland at 15:40.
If I'm lucky, and the train arrives on time,
I can run out and buy something for supper.
Otherwise, it's another pouch.

Portland has a lot better food options near the train station than Los Angeles.

{{<figure src="PXL_20231002_003840252.MP.jpg" alt="Portland Union Station from outside: a red brick single-story building with vaulted roof and a tall clock tower">}}
 

Leg 4: Portland to Pasco
-------------------

The Empire Builder leaves Portland at 16:45.
I don't have many interesting things to say about this leg,
because it's usually dark.

One time I was delayed 12 hours,
and got to watch the sun rise over the Columbia river.
{{<figure src="PXL_20231002_142539895.MP_exported_917.jpg" alt="Sunrise over the Columbia river: a desert with a river running through it">}}

I arrive in Pasco at 21:06,
and call a taxi to take me to my hotel.


Getting Back Home
===============

While I'm working in Washington,
I'll stop by a grocery store to buy food for the trip back home.

It's similar going home,
except that the train from Los Angeles to Lamy leaves
before the train from Portland to Los Angeles arrives.
I have to spend almost 23 hours in Los Angeles.
So far that's been at a hotel.
If I find out that work won't reimburse that hotel night,
I'll start looking into cheaper options than a downtown LA hotel.

The reason work might not reimburse it is because I'm taking "personal travel days"
to do this trip on the train. They will only pay for what it would cost by plane.
And while the train + 1 extra hotel night is still less than the plane fare,
they might not be willing to consider the overall trip cost:
rather, they'll consider the cost of transport (train vs. plane),
and will refuse to pay the hotel visit for extra days.
We'll see!
